<template>
  <ModalVue v-show="isModalVisible" @closeModal="this.$emit('closeDelete')">
    <template v-slot:header>Delete Employee</template>

    <template v-slot:body>
      <div class="flex flex-col gap-6">
        <p>Are you sure that you want to delete this employee?</p>
        <div class="flex justify-center gap-4">
          <button
            type="button"
            class="px-8 py-2 rounded-lg border-2 border-gray-800 hover:bg-gray-200 text-gray-800"
            @click="this.$emit('closeDelete')"
          >
            Cancel
          </button>
          <button
            type="button"
            class="px-8 py-2 rounded-lg bg-gray-800 hover:bg-gray-500 text-white"
            @click="deleteEmployee"
          >
            Delete
          </button>
        </div>
      </div>
    </template>
  </ModalVue>
</template>

<script>
import ModalVue from './ModalVue.vue'
export default {
  components: {
    ModalVue
  },
  methods: {
    deleteEmployee() {
      fetch(`http://localhost:5000/employees/${this.employee}`, {
        method: 'DELETE'
      })
        .then((response) => response.json())
        .then(() => {
          this.$emit('closeDelete')
          this.$emit('employeeDeleted')
        })
        .catch((e) => console.log(e))
    }
  },
  props: ['isModalVisible', 'employee'],
  emits: ['closeDelete', 'employeeDeleted']
}
</script>
